VismaBouwsoftAPICalls.v1_POST_AddressContacts Method
v1_POST_AddressContacts() as String

This API call is used to add a(n) AddressContact

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /AddressContacts
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
address_id 1 tpLong 0 Yes No No Addresses
address_name 2 tpString 150 No No No
contact_salutation 2 tpString 50 No Yes No
contact_name 2 tpString 50 No Yes No
contact_function 2 tpString 50 No Yes No
contact_department 2 tpString 50 No Yes No
contact_note 2 tpString 0 No Yes No
contact_address 2 tpString 63 No Yes No
contact_addressline2 2 tpString 63 No Yes No
contact_countrycode 2 tpString 2 No Yes No
contact_zipcode 2 tpString 15 No Yes No
contact_city 2 tpString 40 No Yes No
contact_state 2 tpString 40 No No No
contact_email 10 tpEmail 100 No Yes No
contact_telephone 9 tpTelefoon 25 No Yes No
contact_fax 15 tpFax 25 No Yes No
contact_gsm 9 tpTelefoon 25 No Yes No
address_active 5 tpBool 0 No No No
contact_default 5 tpBool 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/AddressContacts

API Path: /AddressContacts/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AddressContacts

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jPOfWxfmblzSfIObjfzRqtGAfbOlGfkbfOAbzOmAktDfDbUVbr

Query Parameters :
ParameterName: columns, ParameterValue: contact_name =’Boris‘,address_id=329298,contact_note=’API note’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 208553,
    "address_id": 329298,
    "address_name": "DirkAPICust",
    "contact_salutation": "",
    "contact_name": "Boris",
    "contact_function": "",
    "contact_department": "",
    "contact_note": "API note",
    "contact_address": "",
    "contact_addressline2": "",
    "contact_countrycode": "",
    "contact_zipcode": "",
    "contact_city": "",
    "contact_state": "",
    "contact_email": "",
    "contact_telephone": "",
    "contact_fax": "",
    "contact_gsm": "",
    "address_active": true,
    "contact_default": false,
    "ts_lastupdate": "2026–05–07 09:18:23"
  }
]
}